
QGIS Application - Bug report #7654

Python Console editor unable to import qgis.* 

2013-04-19 09:58 AM - Gary Sherman

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Python plugins

Affected QGIS version:master Regression?: No

Operating System: OS X, Linux Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 16574

Description

The Python Console editor (d4d26257b77) is unable to import qgis and other modules when running a script. See attached screen shot.

The console is able to import.

This occurs even if the PYTHONPATH points to the qgis modules prior to running QGIS.

History

#1 - 2013-04-19 01:34 PM - Salvatore Larosa

- Status changed from Open to Feedback

Hi Gary,

Did you have set the PYTHONPATH in Settings -> System ?

Maybe it is better to warn the user with any message!

However, I will try to fix it in a different way.

Thanks for the feedback!

#2 - 2013-05-25 04:54 AM - Nathan Woodrow

- Resolution set to fixed

- Status changed from Feedback to Closed

Seems to be fixed now
